image: php:7.3.4-fpm-alpine3.9

stages:
  - codequality
  - production

codequality:
  before_script:
    - cp php/helper/php-lint.sh /usr/local/bin/phplint
    - chmod +x /usr/local/bin/phplint
    - rm -rf /var/cache/apk/* /var/tmp/* /tmp/*
  stage: codequality
  script:
  - phplint -L myapp/


deploy:
  stage: production
  before_script:
    - echo $(docker --version)
    - echo $(docker-compose --version)
  script:
    - docker-compose build
    - docker-compose stop
    - docker-compose rm
    - docker-compose up -d
  tags:
    - deployment
    - production
  only:
    - master
